<?php
/*------------------------------------------------------------------------
# mod_jo_newslider - JO News Slider for Joomla 1.6, 1.7, 2.5 Module
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2012 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<?php 
	if($params->get('nav_position') == 'left')
	{ 
		$nav_position = 'jo-handles-left';
	}else{
		$nav_position = 'jo-handles-right';
	} 
?>
<div class="jo-news-slider">
	<div class="jo-news-slider-i" style="height: <?php echo $params->get('slide_height'); ?>px;">
		
		<!-- NAV Slider -->
		<div id="jo-handles" class="<?php echo $nav_position; ?>" style="float: <?php echo $params->get('nav_position'); ?>; width: <?php echo $params->get('nav_width') ; ?>px; height: <?php echo $params->get('slide_height'); ?>px;">
			<ul class="jo-handles-nav">
				<?php $i = 1; ?>
				<?php foreach ($list as $item) :  ?>
					<li><a class="item<?php if($i==1) echo ' active'; ?>" href="javascript:void(0);<?php //echo $item->link ; ?>"><span class="title"><?php echo $item->title; ?></span></a></li>	
					<?php $i++; ?>
				<?php endforeach; ?>
			</ul>
		</div>
		
		<div id="jo-slide-content" style="height: <?php echo $params->get('slide_height'); ?>px;">
			
			<?php foreach ($list as $item) :  ?>
			<div class="news-items">
				
				<!-- Show Images -->
				<?php if($params->get('show_thumb') == 1){?>
					<div class="jo-images"  style="width:<?php echo $params->get('width_thumb')?>px; height:<?php echo $params->get('height_thumb')?>px;">
						 <?php 	if($params->get('link_thumb') == 1) {?>
								<a href="<?php echo $item->link; ?>"><?php echo $item->image ;?></a>
						<?php } else { ?>	
								<?php echo $item->image?>
						 <?php }?>
					</div>
				<?php } else { ?>
					<?php echo ''; ?>
				<?php } ?>
				<!-- End -->
				
				 <!-- Show Titles -->
				<div class="jo-articles">
					<?php 	if($params->get('show_title') == 1) : ?>
						<div class="jo-title">
						 <?php 	if($params->get('link_title') == 1) { ?>
							 <a href="<?php echo $item->link; ?>" class="title"><?php echo $item->title; ?></a>	
						<?php }else{?>
							<span class="title"><?php echo $item->title; ?></span>
					   <?php }?>
					   </div>
				   <?php endif; ?>
				   
				    <!-- Show Created Date -->
				   <?php
				   	if ($params->get('show_date') == 1) { 
						echo '<p class="createddate"><span class="jo-date">'; 
						$date = $item->created_date;
						echo JHTML::_('date', $date, $params->get( 'date_format' ));
						echo '</span></p>'; 
					}
				   ?>
				   
				   <!-- Show Introtext -->
					<div class="jo-content">	<?php echo $item->content; ?></div>
					
					<!-- Show Readmore -->
					 <?php if($params->get('show_readmore') == 1) : ?>
						<div class="jo-readmore"><a href="<?php echo $item->link; ?>" class="jo-readmore-button"><?php echo JText::_('READMORE') ?></a></div>
					<?php endif; ?>
				</div>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
</div>

<script type="text/javascript">
	<!--
	window.addEvent('domready',function(){
		var V5 = new viewer($('jo-slide-content').getChildren(),{
			onWalk: function(current_index){
				handles5.removeClass('active');
				handles5[current_index].addClass('active');
			}
		});
		var handles5 = $$('#jo-handles a');
		handles5.each(function(el,i){el.addEvent('click',V5.walk.pass([i,true], V5));});
	});
	-->
</script>








